Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.amazonaws
Enum AmazonServiceException.ErrorType

    java.lang.Object
      java.lang.Enum<AmazonServiceException.ErrorType>
          com.amazonaws.AmazonServiceException.ErrorType

All Implemented Interfaces:
  Serializable, Comparable<AmazonServiceException.ErrorType>

Enclosing class:
  AmazonServiceException

    public static enum AmazonServiceException.ErrorType

extends Enum<AmazonServiceException.ErrorType>

Indicates who is responsible (if known) for a failed request.

For example, if a client is using an invalid AWS access key, the returned exception will indicate that there is an error in the request the caller is sending. Retrying that same request will *not* result in a successful response. The Client ErrorType indicates that there is a problem in the request the user is sending (ex: incorrect access keys, invalid parameter value, missing parameter, etc.), and that the caller must take some action to correct the request before it should be resent. Client errors are typically associated an HTTP error code in the 4xx range.

The Service ErrorType indicates that although the request the caller sent was valid, the service was unable to fulfill the request because of problems on the service's side. These types of errors can be retried by the caller since the caller's request was valid and the problem occurred while processing the request on the service side. Service errors will be accompanied by an HTTP error code in the 5xx range.

Finally, if there isn't enough information to determine who's fault the error response is, an Unknown ErrorType will be set.

Enum Constant Summary
`Client`
`Service`
`Unknown`

Method Summary
`static AmazonServiceException.ErrorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AmazonServiceException.ErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Client

    public static final AmazonServiceException.ErrorType Client

### Service

    public static final AmazonServiceException.ErrorType Service

### Unknown

    public static final AmazonServiceException.ErrorType Unknown

Method Detail

### values

    public static AmazonServiceException.ErrorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AmazonServiceException.ErrorType c : AmazonServiceException.ErrorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AmazonServiceException.ErrorType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.